### Signal

# Gtk Statusbar::text-pushed

#### Declaration

    void
    text_pushed (
      GtkStatusbar self,
      guint context_id,
      gchar* text,
      gpointer user_data
    )

#### Description [src]

Emitted whenever a new message gets pushed onto a statusbar’s stack.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`context_id` | `guint`
| The context id of the relevant message/statusbar.
`text` | `gchar*`
| The message that was pushed.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.